Subject: [IPP] Proposal for IPP organizational attributes

From: Ira McDonald <[email-masked]>
Date: Sun, 22 Aug 2010 12:59:09 -0400

Hi,                                              Sunday (22 August 2010)

Per my action item from our August 2010 PWG Meeting, here is my proposal
for two IPP organizational location attributes that are REQUIRED (same
as "printer-location" in IPP/2.0 conformance level) for inclusion in the
"IPP Everywhere" spec.

The proposed approach is to use LDAP User Schema [RFC4519] / ITU-T X.520
directory attributes.

Comments?

Cheers,
- Ira McDonald (IPP co-editor)

------------------------------------------------------------------------

                IPP Organizational Location Attributes

printer-organization (text(127))

This REQUIRED Printer attribute specifies the name of the organization
(e.g., company, university, social club, etc.) that is administratively
associated with this Printer.

See:  Section 5.4.1 'OrganizationName' in ITU-T [X.520] and the derived
section 2.19 'o' in IETF LDAP User Schema [RFC4519].

printer-organizational-unit (text(127))

This REQUIRED Printer attribute specifies the name of the organizational
unit (e.g., 'Human Resources', 'Finance', etc.) that is functionally
associated with this Printer.

See:  Section 5.4.2 'OrganizationalUnitName' in ITU-T [X.520] and the
derived section 2.20 'ou' in LDAP User Schema [RFC4519].

------------------------------------------------------------------------

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: Michael Sweet <[email-masked]>
Date: Mon, 23 Aug 2010 09:29:24 -0700

Comments inline...

Is 127 octets sufficient?  I checked both the X.520 and LDAP definitions and did not see a specific limit defined.

I would actually think that text(MAX) would be more appropriate.

> printer-organizational-unit (text(127))

Ditto for this one.

> derived section 2.20 'ou' in LDAP User Schema [RFC4519].

________________________________________________________________________
Michael Sweet, Senior Printing System Engineer, PWG Chair

---

From: Ira McDonald <[email-masked]>
Date: Mon, 23 Aug 2010 12:43:22 -0400

Hi Mike,

Agreed - I made them '127' to align with printer-info
and printer-location (both of which SHOULD have
been longer for internationalization).

Also, they both SHOULD be '1setOf (text)', because
they're multi-valued in both LDAP and X.520 specs.

Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Chair - Linux Foundation Open Printing WG
Co-Chair - TCG Hardcopy WG
IETF Designated Expert - IPP & Printer MIB
Blue Roof Music/High North Inc
http://sites.google.com/site/blueroofmusic
http://sites.google.com/site/highnorthinc
mailto:[email-masked]
winter:
  579 Park Place  Saline, MI  48176
  734-944-0094
summer:
  PO Box 221  Grand Marais, MI 49839
  906-494-2434